> ## Documentation Index
> Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stage a file for an execution

> Stage a file prior to starting an execution, so that it can be used when the execution is started. See the /agents/{agentId}/execute to understand how to pass the returned file information to the execution endpoint.



## OpenAPI

````yaml https://odyssey.asteroid.ai/agents/v2/openapi.yaml post /temp-files/{organizationId}
openapi: 3.1.0
info:
  title: Agent Service
  version: v1
servers:
  - description: V2 API
    url: https://odyssey.asteroid.ai/agents/v2
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
  - name: Execution
  - name: Files
  - name: Agent Profiles
  - name: Agent Profile Pools
  - name: Workflows
  - name: Schema
  - name: Documentation
  - name: Context
paths:
  /temp-files/{organizationId}:
    post:
      tags:
        - Files
      summary: Stage a file for an execution
      description: >-
        Stage a file prior to starting an execution, so that it can be used when
        the execution is started. See the /agents/{agentId}/execute to
        understand how to pass the returned file information to the execution
        endpoint.
      operationId: TempFilesStage
      parameters:
        - in: path
          name: organizationId
          required: true
          schema:
            $ref: '#/components/schemas/Common.uuid'
      requestBody:
        content:
          multipart/form-data:
            encoding:
              files:
                contentType: text/plain
            schema:
              properties:
                files:
                  items:
                    $ref: '#/components/schemas/Agents.Files.FilePart'
                  type: array
              required:
                - files
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agents.Files.TempFilesResponse'
          description: The request has succeeded.
        '400':
          content:
            text/plain:
              schema:
                enum:
                  - Invalid file upload request.
                type: string
          description: The server could not understand the request due to invalid syntax.
        '403':
          content:
            text/plain:
              schema:
                enum:
                  - User is not a member of the organization.
                type: string
          description: Access is forbidden.
        '500':
          content:
            text/plain:
              schema:
                enum:
                  - Internal server error.
                type: string
          description: Server error
components:
  schemas:
    Common.uuid:
      format: uuid
      type: string
    Agents.Files.FilePart:
      format: binary
      type: string
    Agents.Files.TempFilesResponse:
      properties:
        tempFiles:
          items:
            $ref: '#/components/schemas/Agents.Files.TempFile'
          type: array
      required:
        - tempFiles
      type: object
    Agents.Files.TempFile:
      properties:
        id:
          $ref: '#/components/schemas/Common.uuid'
        name:
          type: string
      required:
        - id
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-Asteroid-Agents-Api-Key
      type: apiKey

````